Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.jboss51
Interface WebservicesType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  WebservicesTypeImpl

    public interface WebservicesType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `webservicesType` xsd type

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Method Summary
`java.lang.String` | `getContextRoot()` Returns the `context-root` element
`java.util.List<WebserviceDescriptionType<WebservicesType<T>>>` | `getWebserviceDescriptionList()` Returns all `webservice-description` elements
`WebservicesType<T>` | `removeAllWebserviceDescription()` Removes all `webservice-description` elements
`WebservicesType<T>` | `removeContextRoot()` Removes the `context-root` element
`WebservicesType<T>` | `setContextRoot(java.lang.String contextRoot)` If not already created, a new `context-root` element with the given value will be created.
`WebserviceDescriptionType<WebservicesType<T>>` | `webserviceDescription()` Returns the `webservice-description` element

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### setContextRoot

    WebservicesType<T> setContextRoot(java.lang.String contextRoot)

  If not already created, a new `context-root` element with the given value will be created. Otherwise, the existing `context-root` element will be updated with the given value.

  Returns:
    the current instance of `WebservicesType`

### removeContextRoot

    WebservicesType<T> removeContextRoot()

  Removes the `context-root` element

  Returns:
    the current instance of `WebservicesType`

### getContextRoot

    java.lang.String getContextRoot()

  Returns the `context-root` element

  Returns:
    the node defined for the element `context-root`

### removeAllWebserviceDescription

    WebservicesType<T> removeAllWebserviceDescription()

  Removes all `webservice-description` elements

  Returns:
    the current instance of `WebservicesType`

### webserviceDescription

    WebserviceDescriptionType<WebservicesType<T>> webserviceDescription()

  Returns the `webservice-description` element

  Returns:
    the node defined for the element `webservice-description`

### getWebserviceDescriptionList

    java.util.List<WebserviceDescriptionType<WebservicesType<T>>> getWebserviceDescriptionList()

  Returns all `webservice-description` elements

  Returns:
    list of `webservice-description`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD